alter table if exists activity drop constraint if exists FK6oh9xxdf6bbq5xrbub7a2iebg;
alter table if exists activity drop constraint if exists FKh2g4avehpcr1wpaw1wl3if72r;
alter table if exists activity_artifact drop constraint if exists FKm6lgm7vk4gx2bq2t682f5au7m;
alter table if exists activity_artifact drop constraint if exists FKr2t1bft22426ydaisg7qos1sx;
alter table if exists adherenceevaluation_evaluationreport drop constraint if exists FKfbfvhfethrdkxtnxk9egpgapj;
alter table if exists adherenceevaluation_evaluationreport drop constraint if exists FK6808tosex7wyu0d6bmiae4efo;
alter table if exists artifact drop constraint if exists FKq3o6g6t4j9b6ltk5xgrh3ns2s;
alter table if exists artifact drop constraint if exists FKpundrhi5mqifgqwtrmtqjhl3x;
alter table if exists artifact drop constraint if exists FKafummmkrskffwrumd93wyxd3h;
alter table if exists artifact drop constraint if exists FKial39srhj6fnsinae3obxlf94;
alter table if exists artifact drop constraint if exists FKrtak65pte9q7ceqp2xv24xp9t;
alter table if exists artifact drop constraint if exists FK691d68gcu49expt7nefevd8iq;
alter table if exists artifact drop constraint if exists FKa5r2528ffoi5hhpdwc937sykd;
alter table if exists artifact drop constraint if exists FK7ms79k8a0hn8hjipcf0pqfwcj;
alter table if exists cipersonstakehoulder_continuousfeedbackactivity drop constraint if exists FKeq9ltpi1nuvbjacyxhaohfsd3;
alter table if exists cipersonstakehoulder_continuousfeedbackactivity drop constraint if exists FKr62fhnl10vwqyq9npoknvn0jc;
alter table if exists cipersonstakehoulder_continuousintegrationprocess drop constraint if exists FK2x8g200ulh9lp1l2un7egp6bh;
alter table if exists cipersonstakehoulder_continuousintegrationprocess drop constraint if exists FK8xmny7lbf0buyeusfbqed0y9x;
alter table if exists citeamstakehoulder_continuousfeedbackactivity drop constraint if exists FKbt7d7w4iafmdicj1kdt7rjyhm;
alter table if exists citeamstakehoulder_continuousfeedbackactivity drop constraint if exists FK9qb7pbnlu157pxpkl8wwyfbss;
alter table if exists citeamstakehoulder_continuousintegrationprocess drop constraint if exists FK74kobs4mm9c4693okkyysbw3c;
alter table if exists citeamstakehoulder_continuousintegrationprocess drop constraint if exists FKknbsijjgmvsrmdd5d2amcup2y;
alter table if exists continuousintegrationserver_continuousbuildprocess drop constraint if exists FK5bm7whqjmqn6k5xb0jlhc2wxj;
alter table if exists continuousintegrationserver_continuousbuildprocess drop constraint if exists FK7xbsu5v3qa4s28il70gqltp76;
alter table if exists continuousintegrationserver_continuousinspectionprocess drop constraint if exists FKju884cal8jk3yvp0gkmp1xxyn;
alter table if exists continuousintegrationserver_continuousinspectionprocess drop constraint if exists FK90qljiyjr0se719vho4mv8eh8;
alter table if exists continuousintegrationserver_continuousintegrationprocess drop constraint if exists FKd1bjmicuvf21bhgwbp2bstsyv;
alter table if exists continuousintegrationserver_continuousintegrationprocess drop constraint if exists FKoqdukhv1cavh8paxb1frcx0yt;
alter table if exists continuousintegrationserver_continuoustestprocess drop constraint if exists FK5eub8hljf2xpjirj48wjyxrk8;
alter table if exists continuousintegrationserver_continuoustestprocess drop constraint if exists FK71enga9f40vllqnob1xx7clxu;
alter table if exists evaluateditem_qualityassurancecriterion drop constraint if exists FK6svkpw3wpyp09bt3ktbpd3975;
alter table if exists evaluateditem_qualityassurancecriterion drop constraint if exists FK39jbd85rkpl0yepjchk2413en;
alter table if exists generalprojectprocess drop constraint if exists FKr7kvuji078e9l1fo7ty4iu70p;
alter table if exists generalprojectprocess drop constraint if exists FK1ltamn8bjxdhknf5vwf7rqtch;
alter table if exists loadedsoftwaresystemcopy drop constraint if exists FKr7hwk176k1apruvgn6jbvu1fe;
alter table if exists noncomplianceidentification_noncomplianceregister drop constraint if exists FKfmnd3wxcd7mkysbryupynnbcm;
alter table if exists noncomplianceidentification_noncomplianceregister drop constraint if exists FKs9c9cr6x9mhe6vlo19wquyiy9;
alter table if exists project drop constraint if exists FK56l08pkdkr9onlugrsj27t6a3;
alter table if exists project drop constraint if exists FK8bibak77woh8739ssogpu62x4;
alter table if exists projectstakeholder_softwareproject drop constraint if exists FKqmhcno175t96hnr41q1mew2lm;
alter table if exists projectstakeholder_softwareproject drop constraint if exists FKlnoty0i3693rdxqxluqkmhpf5;
alter table if exists qualityassuranceplan_qualityassurancecriterion drop constraint if exists FK6xg3caofjbblehxuddyfyk5t5;
alter table if exists qualityassuranceplan_qualityassurancecriterion drop constraint if exists FKgr6y7pcdv8cbysreyrxry2vs4;
alter table if exists specificprojectprocess drop constraint if exists FK3el8abvfdvq1eyxxpkalq6n8f;
alter table if exists specificprojectprocess drop constraint if exists FKh6g172vxkglmvshcaptnh538n;
alter table if exists team drop constraint if exists FKt2rwhhxcjdmje0gqqybiyjdpn;
alter table if exists team drop constraint if exists FKp6ovpc4soflfcjbafch33w2ky;
alter table if exists team drop constraint if exists FK2br1drpqmglvo69ygcy2ex0qm;
alter table if exists teammembership drop constraint if exists FK32hd3ylrcn09jp4eorylbk0i0;
alter table if exists teammembership drop constraint if exists FK7twk5vq5jggy5821vfsop01ka;
alter table if exists teammembership drop constraint if exists FK143nbxei8pea2oxm87slwgsut;
alter table if exists testcode_testcase drop constraint if exists FKfxj886lbnu8romwoocrubmnvs;
alter table if exists testcode_testcase drop constraint if exists FKspfv9g7vwxicon8f01i765j1;
drop table if exists activity cascade;
drop table if exists activity_artifact cascade;
drop table if exists adherenceevaluation_evaluationreport cascade;
drop table if exists artifact cascade;
drop table if exists cipersonstakehoulder_continuousfeedbackactivity cascade;
drop table if exists cipersonstakehoulder_continuousintegrationprocess cascade;
drop table if exists citeamstakehoulder_continuousfeedbackactivity cascade;
drop table if exists citeamstakehoulder_continuousintegrationprocess cascade;
drop table if exists continuousintegrationserver_continuousbuildprocess cascade;
drop table if exists continuousintegrationserver_continuousinspectionprocess cascade;
drop table if exists continuousintegrationserver_continuousintegrationprocess cascade;
drop table if exists continuousintegrationserver_continuoustestprocess cascade;
drop table if exists evaluateditem_qualityassurancecriterion cascade;
drop table if exists generalprojectprocess cascade;
drop table if exists loadedsoftwaresystemcopy cascade;
drop table if exists noncomplianceidentification_noncomplianceregister cascade;
drop table if exists organization cascade;
drop table if exists organizationalrole cascade;
drop table if exists person cascade;
drop table if exists project cascade;
drop table if exists projectstakeholder cascade;
drop table if exists projectstakeholder_softwareproject cascade;
drop table if exists qualityassuranceplan_qualityassurancecriterion cascade;
drop table if exists requirement cascade;
drop table if exists specificprojectprocess cascade;
drop table if exists team cascade;
drop table if exists teammembership cascade;
drop table if exists testcode_testcase cascade;
drop sequence if exists requirement_seq;
create sequence requirement_seq start with 1 increment by 50;
create table activity (end_date date, start_date date, activity_id bigint, created_at timestamp(6), id bigserial not null, specificprojectprocess_id bigint, dtype varchar(31) not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), statetype varchar(255) check (statetype in ('PERFORMED','INTENDED')), successtype varchar(255) check (successtype in ('SUCCESSS','UNSUCCESS')), primary key (id));
create table activity_artifact (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table adherenceevaluation_evaluationreport (adherenceevaluation_id bigint not null, evaluationreport_id bigint not null, primary key (adherenceevaluation_id, evaluationreport_id));
create table artifact (end_date date, start_date date, artifact_id bigint, codetobetested_id bigint, created_at timestamp(6), evaluatedartifact_id bigint, evaluationreport_id bigint, id bigserial not null, qualityassuranceplanning_id bigint, requirement_id bigint unique, requirementdocument_id bigint, testcase_id bigint unique, dtype varchar(31) not null, artifacttype varchar(255) check (artifacttype in ('SOFTWAREPRODUCT','SOFTWAREITEM','INFORMATIONITEM','DOCUMENT')), codetype varchar(255) check (codetype in ('CODEINTEGRATED','CODEUNDEINTEGRADED')), description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table cipersonstakehoulder_continuousfeedbackactivity (cipersonstakehoulder_id bigint not null, continuousfeedbackactivity_id bigint not null, primary key (cipersonstakehoulder_id, continuousfeedbackactivity_id));
create table cipersonstakehoulder_continuousintegrationprocess (cipersonstakehoulder_id bigint not null, continuousintegrationprocess_id bigint not null, primary key (cipersonstakehoulder_id, continuousintegrationprocess_id));
create table citeamstakehoulder_continuousfeedbackactivity (citeamstakehoulder_id bigint not null, continuousfeedbackactivity_id bigint not null, primary key (citeamstakehoulder_id, continuousfeedbackactivity_id));
create table citeamstakehoulder_continuousintegrationprocess (citeamstakehoulder_id bigint not null, continuousintegrationprocess_id bigint not null, primary key (citeamstakehoulder_id, continuousintegrationprocess_id));
create table continuousintegrationserver_continuousbuildprocess (continuousbuildprocess_id bigint not null, continuousintegrationserver_id bigint not null, primary key (continuousbuildprocess_id, continuousintegrationserver_id));
create table continuousintegrationserver_continuousinspectionprocess (continuousinspectionprocess_id bigint not null, continuousintegrationserver_id bigint not null, primary key (continuousinspectionprocess_id, continuousintegrationserver_id));
create table continuousintegrationserver_continuousintegrationprocess (continuousintegrationprocess_id bigint not null, continuousintegrationserver_id bigint not null, primary key (continuousintegrationprocess_id, continuousintegrationserver_id));
create table continuousintegrationserver_continuoustestprocess (continuousintegrationserver_id bigint not null, continuoustestprocess_id bigint not null, primary key (continuousintegrationserver_id, continuoustestprocess_id));
create table evaluateditem_qualityassurancecriterion (evaluateditem_id bigint not null, qualityassurancecriterion_id bigint not null, primary key (evaluateditem_id, qualityassurancecriterion_id));
create table generalprojectprocess (end_date date, start_date date, created_at timestamp(6), generalprojectprocess_id bigint, id bigserial not null, softwareproject_id bigint unique, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), statetype varchar(255) check (statetype in ('PERFORMED','INTENDED')), successtype varchar(255) check (successtype in ('SUCCESSS','UNSUCCESS')), primary key (id));
create table loadedsoftwaresystemcopy (created_at timestamp(6), id bigserial not null, softwaresystem_id bigint, dtype varchar(31) not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table noncomplianceidentification_noncomplianceregister (noncomplianceidentification_id bigint not null, noncomplianceregister_id bigint not null, primary key (noncomplianceidentification_id, noncomplianceregister_id));
create table organization (created_at timestamp(6), id bigserial not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table organizationalrole (created_at timestamp(6), id bigserial not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table person (end_date date, start_date date, created_at timestamp(6), id bigserial not null, description varchar(255), email varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table project (end_date date, start_date date, created_at timestamp(6), id bigserial not null, organization_id bigint, project_id bigint, dtype varchar(31) not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table projectstakeholder (created_at timestamp(6), id bigserial not null, dtype varchar(31) not null, primary key (id));
create table projectstakeholder_softwareproject (projectstakeholder_id bigint not null, softwareproject_id bigint not null, primary key (projectstakeholder_id, softwareproject_id));
create table qualityassuranceplan_qualityassurancecriterion (qualityassurancecriterion_id bigint not null, qualityassuranceplan_id bigint not null, primary key (qualityassurancecriterion_id, qualityassuranceplan_id));
create table requirement (created_at timestamp(6), id bigint not null, dtype varchar(31) not null, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), type varchar(255) check (type in ('FUNCTIONAL','NONFUNCTIONAL')), primary key (id));
create table specificprojectprocess (end_date date, start_date date, created_at timestamp(6), generalprojectprocess_id bigint, id bigserial not null, specificprojectprocess_id bigint, dtype varchar(31) not null, continuousprocesstype varchar(255) check (continuousprocesstype in ('CHECKINCIPROCESS','SCHEDULED','ONDEMAND')), description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), statetype varchar(255) check (statetype in ('PERFORMED','INTENDED')), successfultype varchar(255) check (successfultype in ('SUCESSFUL','UNSUCESSFUL')), successtype varchar(255) check (successtype in ('SUCCESSS','UNSUCCESS')), primary key (id));
create table team (end_date date, start_date date, created_at timestamp(6), id bigserial not null, organization_id bigint, project_id bigint, team_id bigint, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), team_purpose varchar(255), teamtype varchar(255) check (teamtype in ('PROJECTTEAM','ORGANIZATIONALTEAM')), primary key (id));
create table teammembership (end_date date, start_date date, created_at timestamp(6), id bigserial not null, organizationalrole_id bigint unique, person_id bigint unique, team_id bigint unique, description varchar(255), external_id varchar(255) unique, internal_id varchar(255) unique, name varchar(255), primary key (id));
create table testcode_testcase (testcase_id bigint not null, testcode_id bigint not null, primary key (testcase_id, testcode_id));
alter table if exists activity add constraint FK6oh9xxdf6bbq5xrbub7a2iebg foreign key (activity_id) references activity;
alter table if exists activity add constraint FKh2g4avehpcr1wpaw1wl3if72r foreign key (specificprojectprocess_id) references specificprojectprocess;
alter table if exists activity_artifact add constraint FKm6lgm7vk4gx2bq2t682f5au7m foreign key (artifact_id) references artifact;
alter table if exists activity_artifact add constraint FKr2t1bft22426ydaisg7qos1sx foreign key (activity_id) references activity;
alter table if exists adherenceevaluation_evaluationreport add constraint FKfbfvhfethrdkxtnxk9egpgapj foreign key (evaluationreport_id) references artifact;
alter table if exists adherenceevaluation_evaluationreport add constraint FK6808tosex7wyu0d6bmiae4efo foreign key (adherenceevaluation_id) references activity;
alter table if exists artifact add constraint FKq3o6g6t4j9b6ltk5xgrh3ns2s foreign key (artifact_id) references artifact;
alter table if exists artifact add constraint FKpundrhi5mqifgqwtrmtqjhl3x foreign key (evaluatedartifact_id) references artifact;
alter table if exists artifact add constraint FKafummmkrskffwrumd93wyxd3h foreign key (testcase_id) references artifact;
alter table if exists artifact add constraint FKial39srhj6fnsinae3obxlf94 foreign key (codetobetested_id) references artifact;
alter table if exists artifact add constraint FKrtak65pte9q7ceqp2xv24xp9t foreign key (evaluationreport_id) references artifact;
alter table if exists artifact add constraint FK691d68gcu49expt7nefevd8iq foreign key (qualityassuranceplanning_id) references activity;
alter table if exists artifact add constraint FKa5r2528ffoi5hhpdwc937sykd foreign key (requirement_id) references requirement;
alter table if exists artifact add constraint FK7ms79k8a0hn8hjipcf0pqfwcj foreign key (requirementdocument_id) references artifact;
alter table if exists cipersonstakehoulder_continuousfeedbackactivity add constraint FKeq9ltpi1nuvbjacyxhaohfsd3 foreign key (continuousfeedbackactivity_id) references activity;
alter table if exists cipersonstakehoulder_continuousfeedbackactivity add constraint FKr62fhnl10vwqyq9npoknvn0jc foreign key (cipersonstakehoulder_id) references projectstakeholder;
alter table if exists cipersonstakehoulder_continuousintegrationprocess add constraint FK2x8g200ulh9lp1l2un7egp6bh foreign key (continuousintegrationprocess_id) references specificprojectprocess;
alter table if exists cipersonstakehoulder_continuousintegrationprocess add constraint FK8xmny7lbf0buyeusfbqed0y9x foreign key (cipersonstakehoulder_id) references projectstakeholder;
alter table if exists citeamstakehoulder_continuousfeedbackactivity add constraint FKbt7d7w4iafmdicj1kdt7rjyhm foreign key (continuousfeedbackactivity_id) references activity;
alter table if exists citeamstakehoulder_continuousfeedbackactivity add constraint FK9qb7pbnlu157pxpkl8wwyfbss foreign key (citeamstakehoulder_id) references projectstakeholder;
alter table if exists citeamstakehoulder_continuousintegrationprocess add constraint FK74kobs4mm9c4693okkyysbw3c foreign key (continuousintegrationprocess_id) references specificprojectprocess;
alter table if exists citeamstakehoulder_continuousintegrationprocess add constraint FKknbsijjgmvsrmdd5d2amcup2y foreign key (citeamstakehoulder_id) references projectstakeholder;
alter table if exists continuousintegrationserver_continuousbuildprocess add constraint FK5bm7whqjmqn6k5xb0jlhc2wxj foreign key (continuousbuildprocess_id) references specificprojectprocess;
alter table if exists continuousintegrationserver_continuousbuildprocess add constraint FK7xbsu5v3qa4s28il70gqltp76 foreign key (continuousintegrationserver_id) references loadedsoftwaresystemcopy;
alter table if exists continuousintegrationserver_continuousinspectionprocess add constraint FKju884cal8jk3yvp0gkmp1xxyn foreign key (continuousinspectionprocess_id) references specificprojectprocess;
alter table if exists continuousintegrationserver_continuousinspectionprocess add constraint FK90qljiyjr0se719vho4mv8eh8 foreign key (continuousintegrationserver_id) references loadedsoftwaresystemcopy;
alter table if exists continuousintegrationserver_continuousintegrationprocess add constraint FKd1bjmicuvf21bhgwbp2bstsyv foreign key (continuousintegrationprocess_id) references specificprojectprocess;
alter table if exists continuousintegrationserver_continuousintegrationprocess add constraint FKoqdukhv1cavh8paxb1frcx0yt foreign key (continuousintegrationserver_id) references loadedsoftwaresystemcopy;
alter table if exists continuousintegrationserver_continuoustestprocess add constraint FK5eub8hljf2xpjirj48wjyxrk8 foreign key (continuoustestprocess_id) references specificprojectprocess;
alter table if exists continuousintegrationserver_continuoustestprocess add constraint FK71enga9f40vllqnob1xx7clxu foreign key (continuousintegrationserver_id) references loadedsoftwaresystemcopy;
alter table if exists evaluateditem_qualityassurancecriterion add constraint FK6svkpw3wpyp09bt3ktbpd3975 foreign key (qualityassurancecriterion_id) references requirement;
alter table if exists evaluateditem_qualityassurancecriterion add constraint FK39jbd85rkpl0yepjchk2413en foreign key (evaluateditem_id) references artifact;
alter table if exists generalprojectprocess add constraint FKr7kvuji078e9l1fo7ty4iu70p foreign key (generalprojectprocess_id) references generalprojectprocess;
alter table if exists generalprojectprocess add constraint FK1ltamn8bjxdhknf5vwf7rqtch foreign key (softwareproject_id) references project;
alter table if exists loadedsoftwaresystemcopy add constraint FKr7hwk176k1apruvgn6jbvu1fe foreign key (softwaresystem_id) references artifact;
alter table if exists noncomplianceidentification_noncomplianceregister add constraint FKfmnd3wxcd7mkysbryupynnbcm foreign key (noncomplianceregister_id) references artifact;
alter table if exists noncomplianceidentification_noncomplianceregister add constraint FKs9c9cr6x9mhe6vlo19wquyiy9 foreign key (noncomplianceidentification_id) references activity;
alter table if exists project add constraint FK56l08pkdkr9onlugrsj27t6a3 foreign key (organization_id) references organization;
alter table if exists project add constraint FK8bibak77woh8739ssogpu62x4 foreign key (project_id) references project;
alter table if exists projectstakeholder_softwareproject add constraint FKqmhcno175t96hnr41q1mew2lm foreign key (softwareproject_id) references project;
alter table if exists projectstakeholder_softwareproject add constraint FKlnoty0i3693rdxqxluqkmhpf5 foreign key (projectstakeholder_id) references projectstakeholder;
alter table if exists qualityassuranceplan_qualityassurancecriterion add constraint FK6xg3caofjbblehxuddyfyk5t5 foreign key (qualityassurancecriterion_id) references requirement;
alter table if exists qualityassuranceplan_qualityassurancecriterion add constraint FKgr6y7pcdv8cbysreyrxry2vs4 foreign key (qualityassuranceplan_id) references artifact;
alter table if exists specificprojectprocess add constraint FK3el8abvfdvq1eyxxpkalq6n8f foreign key (generalprojectprocess_id) references generalprojectprocess;
alter table if exists specificprojectprocess add constraint FKh6g172vxkglmvshcaptnh538n foreign key (specificprojectprocess_id) references specificprojectprocess;
alter table if exists team add constraint FKt2rwhhxcjdmje0gqqybiyjdpn foreign key (organization_id) references organization;
alter table if exists team add constraint FKp6ovpc4soflfcjbafch33w2ky foreign key (project_id) references project;
alter table if exists team add constraint FK2br1drpqmglvo69ygcy2ex0qm foreign key (team_id) references team;
alter table if exists teammembership add constraint FK32hd3ylrcn09jp4eorylbk0i0 foreign key (organizationalrole_id) references organizationalrole;
alter table if exists teammembership add constraint FK7twk5vq5jggy5821vfsop01ka foreign key (person_id) references person;
alter table if exists teammembership add constraint FK143nbxei8pea2oxm87slwgsut foreign key (team_id) references team;
alter table if exists testcode_testcase add constraint FKfxj886lbnu8romwoocrubmnvs foreign key (testcase_id) references artifact;
alter table if exists testcode_testcase add constraint FKspfv9g7vwxicon8f01i765j1 foreign key (testcode_id) references artifact;
